commit:     01e0165d737d1e5f3a9d12496340ad6122aeba92
Author:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
AuthorDate: Thu Nov 16 23:11:08 2023 +0000
Commit:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
CommitDate: Thu Nov 16 23:38:14 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=01e0165d

app-shells/pwsh-bin: bump to 7.4.0

Signed-off-by: Maciej Barć <xgqt <AT> gentoo.org>

 app-shells/pwsh-bin/Manifest              |  3 ++
 app-shells/pwsh-bin/pwsh-bin-7.4.0.ebuild | 69 +++++++++++++++++++++++++++++++
 2 files changed, 72 insertions(+)

diff --git a/app-shells/pwsh-bin/Manifest b/app-shells/pwsh-bin/Manifest
index df92761ba0f0..44e805c69b3b 100644
--- a/app-shells/pwsh-bin/Manifest
+++ b/app-shells/pwsh-bin/Manifest
@@ -4,3 +4,6 @@ DIST powershell-7.3.8-linux-x64.tar.gz 69101356 BLAKE2B 
a96efbe39a1917244dbd8da5
 DIST powershell-7.3.9-linux-arm32.tar.gz 66608348 BLAKE2B 
e1f5834f91ca86ae7d8c5e7a6f6b66c868e67b4abe2e99b0b405d71364a8245fb9fa16cd4fee322e50aa80ca695b72e8857857a32e85c1ee9f531bb80dc5ffd3
 SHA512 
f4f852d549e140d1393b120634e3c473ff6815096008009115fe151dfe7d6c9efb1d887135be5e8930fe1ccd1edc9d31514b8b9e901498cd0890e6f6707a3491
 DIST powershell-7.3.9-linux-arm64.tar.gz 65514607 BLAKE2B 
5199011b22953b1ff228a20500e989e341262004cdb2d22ae4dd2391567a876491e6b9e3666b4a388e81d344a907af38acba6bd934519376247a75d16894a511
 SHA512 
12f1ff0f8600f81a6d7444a9fc0b3cfa1e3704193402f678d36e029039ce35c7e0696f09332c2fd1514eba0f7fb004b3a725e42c9c344f567ba5f2430cbb0bcf
 DIST powershell-7.3.9-linux-x64.tar.gz 69086550 BLAKE2B 
4e31c219db750fca3d03879198e77a83a3497207f76b8bd9c9eaee53ff21aa6a2afdfc43134086bf992dccd195ff8d04db2948977c34d80157f31b47f4067b71
 SHA512 
f5dabe4ef79d2b2ba1f28f222903e92c032e1e58bb926a72326f153e98e2b51e57e68d01158c63f44402f0455e4a73df5a3bf9b64d0561e3cf1980033ba9c9e4
+DIST powershell-7.4.0-linux-arm32.tar.gz 69167301 BLAKE2B 
cedafe01997650f22571546dec6de5877504fd828b89fcc224735e6c4536ab49aaebe2d997349aadaa61638c8cb37b4c0c6d261ec96f3ad228653a9a036b768a
 SHA512 
f6635a0d7a4185df2cc5c361131d4032d852b02b4d620b974344fc72a1a6199dd867d319c269b094bb6c30e55601de7c64c6dadc2562318777e3059b8623267b
+DIST powershell-7.4.0-linux-arm64.tar.gz 68068263 BLAKE2B 
a6e8aab575fc297ce30cf66155adf61994efc290c59fdd1752ec0fef83472d1c356768a928532b0be5c44628b95e1132efef72a1855fccc81ab6d86cab3e218f
 SHA512 
3e0342d3fe1970b46250e0574b81249e6a8f8d18fffacd674282f066a1989758f2b0522d00d0b0e76270d095d67b9a370b421fb96386ff504cbce28bde30abf3
+DIST powershell-7.4.0-linux-x64.tar.gz 70925342 BLAKE2B 
e290ff11e93ac8df8a52af143f1fe629b730f5cf65cc47956c12c2944487bc5de8a813a604f874b90307389b6c1e12302742ce82bf81bb94545aa99f760a9aea
 SHA512 
47b9e6304985080b36e5d2d2b4a9f1705ef000918e6dd4d5d6804d7467db88d9c39bb2033f87e8b9b8d2f35bcf2deeff87980a6e55ebe9b7d745a08bd5c4d34a

diff --git a/app-shells/pwsh-bin/pwsh-bin-7.4.0.ebuild 
b/app-shells/pwsh-bin/pwsh-bin-7.4.0.ebuild
new file mode 100644
index 000000000000..d5dc3e03bc4a
--- /dev/null
+++ b/app-shells/pwsh-bin/pwsh-bin-7.4.0.ebuild
@@ -0,0 +1,69 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit wrapper
+
+DESCRIPTION="Cross-platform automation and configuration tool (binary package)"
+HOMEPAGE="https://microsoft.com/powershell/
+       https://github.com/PowerShell/PowerShell/";
+
+BASE_URI="https://github.com/PowerShell/PowerShell/releases/download/";
+SRC_URI="
+       amd64? ( ${BASE_URI}/v${PV}/powershell-${PV}-linux-x64.tar.gz )
+       arm64? ( ${BASE_URI}/v${PV}/powershell-${PV}-linux-arm64.tar.gz )
+       arm?   ( ${BASE_URI}/v${PV}/powershell-${PV}-linux-arm32.tar.gz )
+"
+S="${WORKDIR}"
+
+LICENSE="MIT"
+SLOT="$(ver_cut 1-2)"
+KEYWORDS="~amd64 ~arm ~arm64"
+REQUIRED_USE="elibc_glibc"
+
+RDEPEND="
+       app-crypt/mit-krb5:0/0
+       dev-libs/icu
+       dev-util/lttng-ust:0/2.12
+       sys-libs/pam:0/0
+       sys-libs/zlib:0/1
+       || (
+               dev-libs/openssl-compat:1.0.0
+               =dev-libs/openssl-1.0*:0/0
+       )
+"
+IDEPEND="app-eselect/eselect-pwsh"
+
+QA_PREBUILT="*"
+
+src_install() {
+       local -a broken_symlinks
+       broken_symlinks=( libcrypto.so.1.0.0 libssl.so.1.0.0 )
+
+       local symlink
+       for symlink in "${broken_symlinks[@]}" ; do
+               if [[ -L "${symlink}" ]] ; then
+                       rm "${symlink}" || die "failed to remove ${symlink}"
+               fi
+       done
+
+       local dest="opt/${PN}-${SLOT}"
+       local dest_root="/${dest}"
+
+       insinto "${dest_root}"
+       doins -r .
+
+       fperms 0755 "${dest_root}/pwsh"
+
+       local 
gentoo_path='PSModulePath="${PSModulePath}:${EPREFIX}/usr/share/GentooPowerShell/Modules:"'
+       make_wrapper "${PN}-${SLOT}" "env ${gentoo_path} ${dest_root}/pwsh"
+}
+
+pkg_postinst() {
+       eselect pwsh update ifunset
+}
+
+pkg_postrm() {
+       eselect pwsh update ifunset
+}

Reply via email to